const fs = require('fs'); // Modul aus der Standardlibrary von node

const getFile = (path = '') => {
  return new Promise((resolve, reject) => {
    //asynchrones auslesen einer Datei
    fs.readFile(path, 'utf-8', (error, data) => {
      if (error) {
        // console.error(error);
        reject(error);
      }
      // console.log(data);
      resolve(data);
    });
  });
};

console.log('weiter im code');

// Funktionsaufruf einer Funktion, die asynchrone Prozesse
getFile('02_promise-aufbau.html')
  .then((data) => {
    console.log(data);
  })
  .catch((error) => {
    console.error(error);
  });
